| GET POST | /RestApi/Sitefinity/packaging/add-on |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | body | Guid | No | |
| IncludeContent | body | bool | No | |
| Deactivate | body | bool | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid | No | |
| Name | form | string | No | |
| IsActive | form | bool | No | |
| Description | form | string | No | |
| IsDataImported | form | bool | No | |
| Version | form | string | No | |
| Author | form | string | No | |
| DataImportedToSiteName | form | string | No | |
| Entries | form | ICollection<AddOnEntry> | No | |
| HasErrorsOnContentImport | form | bool | No | |
| HasErrorsOnStructureImport | form | bool | No | |
| HasErrorsOnActivate | form | bool | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| DisplayName | form | string | No | |
| Count | form | int | No | |
| AddonEntryType | form | AddOnEntryType | No |
| Content | |
| Template | |
| Custom | |
| Module | |
| Form | |
| Classification | |
| WebService |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/packaging/add-on HTTP/1.1
Host: www.imglobal.com
Accept: application/json
Content-Type: application/json
Content-Length: length
{"IncludeContent":false,"Deactivate":false}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{"Name":"String","IsActive":false,"Description":"String","IsDataImported":false,"Version":"String","Author":"String","DataImportedToSiteName":"String","HasErrorsOnContentImport":false,"HasErrorsOnStructureImport":false,"HasErrorsOnActivate":false}